import request from '@/utils/request'

// 分页查询
export function pageList(data) {
  return request({
    url: '/sys/sysCurriculumType/pageList',
    method: 'post',
    data: data
  })
}

// 插入
export function insert(data) {
  return request({
    url: '/sys/sysCurriculumType/insert',
    method: 'post',
    data: data
  })
}

// 更新数据
export function update(data) {
  return request({
    url: '/sys/sysCurriculumType/update',
    method: 'post',
    data: data
  })
}

// 查询数据
export function query(data) {
  return request({
    url: '/sys/sysCurriculumType/query',
    method: 'post',
    data: data
  })
}
export function findAll(data) {
  return request({
    url: '/sys/sysCurriculumType/findAll',
    method: 'post',
    data: data
  })
}
// 删除数据
export function deletes(id, ids) {
  const data = {}
  if (id) {
    data['id'] = id
  }
  if (ids) {
    data['ids'] = ids
  }
  return request({
    url: '/sys/sysCurriculumType/delete',
    method: 'post',
    data: data
  })
}
