import request from '@/utils/request'

// 分页查询
export function pageList(data) {
  return request({
    url: '/sys/sysCodeForPiano/pageList',
    method: 'post',
    data: data
  })
}
export function fileUpload(data) {
    return request({
      url: '/sys/sysCodeForPiano/fileUpload',
      method: 'post',
      data: data
    })
  }
// 插入
export function insert(data) {
  return request({
    url: '/sys/sysCodeForPiano/insert',
    method: 'post',
    data: data
  })
}

// 更新数据
export function update(data) {
  return request({
    url: '/sys/sysCodeForPiano/update',
    method: 'post',
    data: data
  })
}
export function findAll(data) {
    return request({
      url: '/sys/sysCodeForPiano/findAll',
      method: 'post',
      data: data
    })
  }
export function selectIds(data) {
    return request({
        url: '/sys/sysCodeForPiano/selectIds',
        method: 'post',
        data: data
    })
}
// 查询数据
export function query(data) {
  return request({
    url: '/sys/sysCodeForPiano/query',
    method: 'post',
    data: data
  })
}

// 删除数据
export function deletes(id, ids) {
  const data = {}
  if (id) {
    data['id'] = id
  }
  if (ids) {
    data['ids'] = ids
  }
  return request({
    url: '/sys/sysCodeForPiano/delete',
    method: 'post',
    data: data
  })
}
