import request from '@/utils/request'

// 分页查询
export function pageList(data) {
  return request({
    url: '/wx/wxUserCost/pageList',
    method: 'post',
    data: data
  })
}

// 结束
export function offline(data) {
  return request({
    url: '/wx/wxUserCost/offline',
    method: 'post',
    data: data
  })
}

/**
 * 评论列表
 * @param data
 */
export function commentList(data) {
  return request({
    url: '/wx/wxUserCostComment/pageList',
    method: 'post',
    data: data
  })
}

// 删除数据
export function deletes(id, ids) {
  const data = {}
  if (id) {
    data['id'] = id
  }
  if (ids) {
    data['ids'] = ids
  }
  return request({
    url: '/wx/wxUserCost/delete',
    method: 'post',
    data: data
  })
}

//
export function insertComment(data) {
  return request({
    url: '/wx/wxUserCostComment/insert',
    method: 'post',
    data: data
  })
}
